Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class BasicOCSPRespGenerator

    java.lang.Object
      |
      +--org.bouncycastle.ocsp.BasicOCSPRespGenerator

public class BasicOCSPRespGenerator
extends java.lang.Object

Constructor Summary
`BasicOCSPRespGenerator()`

Method Summary
`void` | `addResponse(CertificateID certID, CertificateStatus certStatus)`
`void` | `addResponse(CertificateID certID, CertificateStatus certStatus, java.util.Date nextUpdate, X509Extensions singleExtensions)`
`BasicOCSPResp` | `generate()`
`BasicOCSPResp` | `generate(java.lang.String signingAlgorithm, java.security.PrivateKey key, java.security.cert.X509Certificate[] chain, java.lang.String provider)`
`BasicOCSPResp` | `generate(java.lang.String signingAlgorithm, java.security.PrivateKey key, java.security.cert.X509Certificate[] chain, java.lang.String provider, java.security.SecureRandom random)`
`void` | `setResponderID(java.security.PublicKey key)` set the responderID to be the SHA-1 keyHash of the passed in public key.
`void` | `setResponderID(RespID responderID)` set the responderID.
`void` | `setResponseExtensions(X509Extensions responseExtensions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicOCSPRespGenerator

    public BasicOCSPRespGenerator()

Method Detail

### setResponderID

    public void setResponderID(RespID responderID)

  set the responderID.

### setResponderID

    public void setResponderID(java.security.PublicKey key)
                        throws OCSPException

  set the responderID to be the SHA-1 keyHash of the passed in public key.

    `OCSPException`

### addResponse

    public void addResponse(CertificateID certID,
                            CertificateStatus certStatus)

### addResponse

    public void addResponse(CertificateID certID,
                            CertificateStatus certStatus,
                            java.util.Date nextUpdate,
                            X509Extensions singleExtensions)

### setResponseExtensions

    public void setResponseExtensions(X509Extensions responseExtensions)

### generate

    public BasicOCSPResp generate()
                           throws OCSPException

    `OCSPException`

### generate

    public BasicOCSPResp generate(java.lang.String signingAlgorithm,
                                  java.security.PrivateKey key,
                                  java.security.cert.X509Certificate[] chain,
                                  java.lang.String provider)
                           throws OCSPException,
                                  java.security.NoSuchProviderException,
                                  java.lang.IllegalArgumentException

    `OCSPException`
    `java.security.NoSuchProviderException`
    `java.lang.IllegalArgumentException`

### generate

    public BasicOCSPResp generate(java.lang.String signingAlgorithm,
                                  java.security.PrivateKey key,
                                  java.security.cert.X509Certificate[] chain,
                                  java.lang.String provider,
                                  java.security.SecureRandom random)
                           throws OCSPException,
                                  java.security.NoSuchProviderException,
                                  java.lang.IllegalArgumentException

    `OCSPException`
    `java.security.NoSuchProviderException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD